### File

`packages/components/eui-table-v2/pipes/eui-table-v2-highlight.pipe.ts`

### Description

Pipe used to highlight the matching string in the data of the table when used with filter feature.

Example :

``` strFilter = '19' ```

### Metadata

Name | euiTableV2Highlight

### Methods

transform
`transform(value: string, strFilter: string, className: string)`
Wrap a matching string with a span element with a class name in the data of the table Parameters :
Name | Type | Optional | Default value | Description
value | `string` | No |  | Data displayed in a cell.
strFilter | `string` | No |  | Search string to highlight.
className | `string` | No | `'eui-table-v2--highlighted'` | CSS class to add to the span element. Default: 'eui-table-v2--highlighted'
Returns : `string`

# results matching ""

# No results matching ""